<?php
/**
 * jDiction library entry point
 *
 * @package jDiction
 * @link http://joomla.itronic.at
 * @copyright	Copyright (C) 2011 ITronic Harald Leithner. All rights reserved.
 * @license GNU General Public License v3
 *
 * This file is part of jDiction.
 *
 * jDiction is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * jDiction is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with jDiction.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
defined('_JEXEC') or die;


// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (document.formvalidator.isValid(document.id('component-form'))) {
			Joomla.submitform(task, document.getElementById('component-form'));
		}
	};

  jQuery(function() {
		jQuery('input[type!=hidden], textarea, select').css('border-color', 'green');
    jQuery('input[type!=hidden], textarea, select').on('change', function() {
			jdiction_checkStatus(this.value, jQuery('#'+this.id+'_status').prop('title'), this.id, this);
		});
		//If we have a tinyMCE Editor
		if (typeof tinyMCE != 'undefined') {
	    tinyMCE.onAddEditor.add(function(mgr,ed) {
				ed.onChange.add(function(ed, e) {
					jdiction_checkStatus(ed.getContent(), jQuery('#'+ed.id+'_status').prop('title'), ed.id, '#'+ed.id+'_tbl');
				});
			});
		}
	});
	
	function jdiction_checkStatus(newvalue, oldvalue, id,  marker) {
		if (newvalue != oldvalue) {
			jQuery(marker).css('border', '1px solid orange');
			jQuery('#'+id+'_status').val("changed");
		} else {
      jQuery(marker).css('border', '1px solid green');
      jQuery('#'+id+'_status').val("unchanged");
		}
	}
	function jdiction_removeContent(id, marker) {
		marker.setStyle('border', '1px solid red');
    jQuery('#'+id+'_status').val("remove");
		if (jQuery('#'+id+'_tbl').length > 0) { //Editor
			if (typeof tinymce != 'undefined') {
				tinymce.get(id).setContent('');
			}
		} else {
      jQuery('#'+id).val('');
		}
	}
	function jdiction_copyContent(text, id) {
		
		if (jQuery('#'+id+'_tbl').length > 0) { //Editor
			if (typeof tinymce != 'undefined') {
				jdiction_checkStatus(tinymce.get(id).getContent(), text, id, '#'+id+'_tbl');
				tinymce.get(id).setContent(text);
			}
		} else {
			jdiction_checkStatus(text, jQuery('#'+id).val(), id,  '#'+id);
      jQuery('#'+id).val(text);
		}
	}

</script>
<style>
.info_img {
	float: left; 
	cursor: pointer;
	padding: 4px 2px 2px 2px;
}
</style>
<form action="<?php echo JRoute::_('index.php?option=com_jdiction');?>" id="component-form" method="post" name="adminForm" autocomplete="off" class="form-validate">

	<?php
  echo JHtml::_('bootstrap.startTabSet', 'language-tabs', array('active' => 'language-tab-'.current($this->languages)->lang_code));
	foreach($this->languages as $language) :
		$this->form->loadLanguage($language->lang_code);
    echo JHtml::_('bootstrap.addTab', 'language-tabs', 'language-tab-'.$language->lang_code, JText::_($language->title_native, true));
    ?>
        <div class="row-fluid form-horizontal">
          <div class="span8">
        <?php
        foreach($this->form->getFieldset('main', $language->lang_code) as $field) :
        ?>
            <div class="control-group" style="margin-bottom: 5px">

          <?php if (!$field->hidden) : ?>
          <div class="control-label" style="padding-top: 0">
            <?php echo $field->label; ?>
            <div style="clear:both"></div>
            <?php if ($field->type == 'Editor') : ?>
              <img class="info_img" src="<?php echo JRoute::_('components/com_jdiction/assets/icon-16-del.png'); ?>" width="16" onClick="jdiction_removeContent('<?php echo $field->id; ?>', $('<?php echo $field->id; ?>_tbl'));" />
            <?php else: ?>
              <img class="info_img" src="<?php echo JRoute::_('components/com_jdiction/assets/icon-16-del.png'); ?>" width="16" onClick="jdiction_removeContent('<?php echo $field->id; ?>', $('<?php echo $field->id; ?>'));" />
            <?php endif; ?>
            <img class="info_img hasTip" src="<?php echo JRoute::_('components/com_jdiction/assets/icon-16-info.png'); ?>" width="16" title="Original::<?php echo $this->escape($this->original->{$field->fieldname}); ?>" onClick="jdiction_copyContent(this.retrieve('tip:text'),'<?php echo $field->id; ?>');" />

          </div>
          <?php endif; ?>
            <div class="controls">
          <?php echo $field->input; ?>

          <?php if ($field->type == 'JDMore'): /* @todo fix workaround */ ?>
            <input type="hidden" id="<?php echo $field->id; ?>_status" name="<?php echo str_replace('jform', 'jdiction', $field->name); ?>" value="changed" title="<?php echo $this->escape($field->value); ?>" />
          <?php else: ?>
            <input type="hidden" id="<?php echo $field->id; ?>_status" name="<?php echo str_replace('jform', 'jdiction', $field->name); ?>" value="unchanged" title="<?php echo $this->escape($field->value); ?>" />
          <?php endif; ?>

          </div>

            </div>
        <?php
        endforeach;
        ?>
            </div>
        </div>
    <?php
    echo JHtml::_('bootstrap.endTab');
  endforeach;
  echo JHtml::_('bootstrap.endTabSet');
	?>
	<div>
		<input type="hidden" name="jd_id" value="<?php echo $this->component->id;?>" />
		<input type="hidden" name="jd_option" value="<?php echo $this->component->option;?>" />
		<input type="hidden" name="jd_view" value="<?php echo $this->component->view;?>" />
		<input type="hidden" name="jd_layout" value="<?php echo $this->component->layout;?>" />
    <input type="hidden" name="jd_sourcehash" value="<?php echo $this->original->jd_sourcehash;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="tmpl" value="<?php echo JFactory::getApplication()->input->get('tmpl', null, 'cmd'); ?>" />
		<input type="hidden" name="layout" value="<?php echo JFactory::getApplication()->input->get('layout', null, 'cmd'); ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form> 